<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Corporation](./bitburner.corporation.md) &gt; [issueNewShares](./bitburner.corporation.issuenewshares.md)

## Corporation.issueNewShares() method

Issue new shares.

**Signature:**

```typescript
issueNewShares(amount?: number): number;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

amount


</td><td>

number


</td><td>

_(Optional)_ Number of new shares to issue. It will be rounded to nearest 10 million. Defaults to max amount.


</td></tr>
</tbody></table>

**Returns:**

number

Amount of funds generated for the corporation.

## Remarks

RAM cost: 20 GB

